%define module OLE-Storage_Lite
%define name	perl-%{module}
%define version 0.16
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Simple Class for OLE document interface
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/OLE/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
OLE::Storage_Lite allows you to read and write an OLE structured file. Please
refer OLE::Storage by Martin Schwartz.

OLE::Storage_Lite::PPS is a class representing PPS.
OLE::Storage_Lite::PPS::Root, OLE::Storage_Lite::PPS::File and
OLE::Storage_Lite::PPS::Dir are subclasses of OLE::Storage_Lite::PPS.

%prep
%setup -q -n %{module}-%{version}

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make OPTIMIZE="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README sample
%{perl_vendorlib}/OLE
%{_mandir}/*/*




%changelog
* Thu Feb 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2008.1
+ Revision: 173558
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2008.1
+ Revision: 114650
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot


* Fri Feb 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.14-3mdv2007.0
+ Revision: 115947
- Import perl-OLE-Storage_Lite

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.14-2mdk
- rebuild

* Thu Dec 02 2004 Oden Eriksson <oden.eriksson@linux-mandrake.com> 0.14-1mdk
- initial mandrake package

